Subject: Re: bug#18278: [PATCH] bug#18130: rmail.el: handle imaps, pops, and local source mailboxes (maildir, MH, etc.)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Sep 2014 16:19:40 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Mon, 08 Sep 2014 09:00:22 -0400
> Cc: Carlos Pita <[email-masked]>, [email-masked],
> 	[email-masked]
> 
> [ Thanks Carlos for pinging us about it.  ]
> 
> > set of mailbox formats (both remote and local).  This patch makes
> > rmail.el fully use the flexibility of GNU Mailutils.  In particular,
> > it makes it possible to use imaps and pops encrypted protocols.  The
> > patch is against the current Emacs trunk.  The bug has been reported by
> > Carlos Pita to both GNU Emacs[2] and Mailutuls[3].
> 
> Thank you Sergey,
> 
> The patch looks OK for me, but as I'm not familiar with Rmail, I'd like
> to have the opinion of someone else.

I do use Rmail, but not movemail from Mailutils, and not for imap and
other modern protocols.

So the only issue that bothers me here is: would the new code still
work with the old movemail, and how does the code detect whether it
invokes old or new one?

If this change is 100% backwards compatible, I see no reasons not to
install it.